#ifndef RENDERABLE_HPP_INCLUDED
#define RENDERABLE_HPP_INCLUDED

#include "CacheableNode.hpp"
#include "../JavaClass/Class.hpp"
#include <cstdint>

namespace Internal
{
    class Renderable : public CacheableNode
    {
        public:
            Renderable();
            Renderable(const void* Obj);
            Renderable(const Renderable& R);
            static Class GetClass();

            std::int32_t GetModelHeight() const;

    };
}

#endif // RENDERABLE_HPP_INCLUDED
